TabGeckoDocs
Website
Documentation / Profiles · API

Profiles · API

Generated from the OpenAPI snapshot. Source summaries remain unchanged; JSON schemas below are the exact exported definitions.

GET /api/v1/profiles

Profile suchen, filtern, sortieren und seitenweise abrufen

Authentication: bearer token

Required route scopes: profiles:read

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
pagequeryNo
limitqueryNo
cursorqueryNo
searchqueryNo
idsqueryNoKommagetrennte Profil-IDs
group_idqueryNo
tag_idsqueryNoKommagetrennte Tag-IDs
tag_modequeryNo
exclude_tag_idsqueryNo
status_idqueryNo
enginequeryNo
osqueryNo
runtime_statequeryNo
pinnedqueryNo
proxy_idqueryNo
sortqueryNo
orderqueryNo
pinned_firstqueryNo
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "integer",
      "minimum": 1
    },
    "in": "query",
    "name": "page",
    "required": false
  },
  {
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 1000
    },
    "in": "query",
    "name": "limit",
    "required": false
  },
  {
    "schema": {
      "type": "string",
      "maxLength": 512
    },
    "in": "query",
    "name": "cursor",
    "required": false
  },
  {
    "schema": {
      "type": "string",
      "maxLength": 200
    },
    "in": "query",
    "name": "search",
    "required": false
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "query",
    "name": "ids",
    "required": false,
    "description": "Kommagetrennte Profil-IDs"
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "query",
    "name": "group_id",
    "required": false
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "query",
    "name": "tag_ids",
    "required": false,
    "description": "Kommagetrennte Tag-IDs"
  },
  {
    "schema": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "any"
          ]
        },
        {
          "type": "string",
          "enum": [
            "all"
          ]
        }
      ]
    },
    "in": "query",
    "name": "tag_mode",
    "required": false
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "query",
    "name": "exclude_tag_ids",
    "required": false
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "query",
    "name": "status_id",
    "required": false
  },
  {
    "schema": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "chromium"
          ]
        },
        {
          "type": "string",
          "enum": [
            "firefox"
          ]
        }
      ]
    },
    "in": "query",
    "name": "engine",
    "required": false
  },
  {
    "schema": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "windows"
          ]
        },
        {
          "type": "string",
          "enum": [
            "macos"
          ]
        },
        {
          "type": "string",
          "enum": [
            "linux"
          ]
        },
        {
          "type": "string",
          "enum": [
            "android"
          ]
        },
        {
          "type": "string",
          "enum": [
            "ios"
          ]
        }
      ]
    },
    "in": "query",
    "name": "os",
    "required": false
  },
  {
    "schema": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "stopped"
          ]
        },
        {
          "type": "string",
          "enum": [
            "starting"
          ]
        },
        {
          "type": "string",
          "enum": [
            "running"
          ]
        },
        {
          "type": "string",
          "enum": [
            "stopping"
          ]
        },
        {
          "type": "string",
          "enum": [
            "crashed"
          ]
        },
        {
          "type": "string",
          "enum": [
            "locked"
          ]
        }
      ]
    },
    "in": "query",
    "name": "runtime_state",
    "required": false
  },
  {
    "schema": {
      "type": "boolean"
    },
    "in": "query",
    "name": "pinned",
    "required": false
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "query",
    "name": "proxy_id",
    "required": false
  },
  {
    "schema": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "no"
          ]
        },
        {
          "type": "string",
          "enum": [
            "custom_no"
          ]
        },
        {
          "type": "string",
          "enum": [
            "name"
          ]
        },
        {
          "type": "string",
          "enum": [
            "created_at"
          ]
        },
        {
          "type": "string",
          "enum": [
            "updated_at"
          ]
        },
        {
          "type": "string",
          "enum": [
            "last_opened_at"
          ]
        }
      ]
    },
    "in": "query",
    "name": "sort",
    "required": false
  },
  {
    "schema": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "asc"
          ]
        },
        {
          "type": "string",
          "enum": [
            "desc"
          ]
        }
      ]
    },
    "in": "query",
    "name": "order",
    "required": false
  },
  {
    "schema": {
      "type": "boolean"
    },
    "in": "query",
    "name": "pinned_first",
    "required": false
  }
]

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "items",
            "total",
            "page",
            "limit",
            "next_cursor"
          ],
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "no",
                  "compat_user_id",
                  "custom_no",
                  "folder_key",
                  "name",
                  "notes",
                  "group",
                  "tags",
                  "status",
                  "pinned",
                  "color",
                  "engine",
                  "engine_version",
                  "engine_auto_update",
                  "engine_build_last_used",
                  "os",
                  "os_version",
                  "user_agent",
                  "fingerprint",
                  "proxy",
                  "ip_checker",
                  "browser_options",
                  "net",
                  "start_mode",
                  "start_urls",
                  "homepage",
                  "launch_args",
                  "extension_set_id",
                  "storage_options",
                  "clear_on_close",
                  "cache_dir_override",
                  "source",
                  "imported_from",
                  "runtime_state",
                  "accounts_count",
                  "created_at",
                  "created_by",
                  "updated_at",
                  "updated_by",
                  "last_opened_at",
                  "last_closed_at",
                  "last_exit_ip",
                  "last_exit_country",
                  "row_version"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "no": {
                    "type": "integer"
                  },
                  "compat_user_id": {
                    "type": "string"
                  },
                  "custom_no": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "folder_key": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "notes": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "group": {
                    "anyOf": [
                      {
                        "type": "object",
                        "required": [
                          "id",
                          "name"
                        ],
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          }
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "tags": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "id",
                        "name",
                        "color"
                      ],
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "color": {
                          "type": "string"
                        }
                      }
                    }
                  },
                  "status": {
                    "anyOf": [
                      {
                        "type": "object",
                        "required": [
                          "id",
                          "name",
                          "color"
                        ],
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "color": {
                            "type": "string"
                          }
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "pinned": {
                    "type": "boolean"
                  },
                  "color": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "engine": {
                    "type": "string"
                  },
                  "engine_version": {
                    "type": "string"
                  },
                  "engine_auto_update": {
                    "type": "boolean"
                  },
                  "engine_build_last_used": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "os": {
                    "type": "string"
                  },
                  "os_version": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "user_agent": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "fingerprint": {
                    "type": "object",
                    "required": [
                      "id",
                      "schema",
                      "overrides",
                      "seeds"
                    ],
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "schema": {
                        "type": "integer"
                      },
                      "overrides": {
                        "type": "object",
                        "additionalProperties": {}
                      },
                      "seeds": {
                        "type": "object",
                        "required": [
                          "identity",
                          "canvas",
                          "webgl",
                          "audio",
                          "clientRects"
                        ],
                        "properties": {
                          "identity": {
                            "type": "integer"
                          },
                          "canvas": {
                            "type": "integer"
                          },
                          "webgl": {
                            "type": "integer"
                          },
                          "audio": {
                            "type": "integer"
                          },
                          "clientRects": {
                            "type": "integer"
                          }
                        }
                      }
                    }
                  },
                  "proxy": {
                    "type": "object",
                    "required": [
                      "mode",
                      "proxy_id",
                      "inline"
                    ],
                    "properties": {
                      "mode": {
                        "type": "string"
                      },
                      "proxy_id": {
                        "type": [
                          "null",
                          "string"
                        ]
                      },
                      "inline": {
                        "anyOf": [
                          {
                            "type": "object",
                            "required": [
                              "protocol",
                              "host",
                              "port",
                              "username",
                              "password_set",
                              "ssh_key_set"
                            ],
                            "properties": {
                              "protocol": {
                                "type": "string"
                              },
                              "host": {
                                "type": "string"
                              },
                              "port": {
                                "type": "integer"
                              },
                              "username": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "password_set": {
                                "type": "boolean"
                              },
                              "ssh_key_set": {
                                "type": "boolean"
                              },
                              "ssh_host_key": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              }
                            }
                          },
                          {
                            "type": "null"
                          }
                        ]
                      }
                    }
                  },
                  "ip_checker": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "browser_options": {
                    "type": "object",
                    "properties": {
                      "block_images": {
                        "type": "boolean"
                      },
                      "block_video": {
                        "type": "boolean"
                      },
                      "block_audio": {
                        "type": "boolean"
                      },
                      "block_notifications": {
                        "type": "boolean"
                      },
                      "block_password_view": {
                        "type": "boolean"
                      },
                      "block_password_save": {
                        "type": "boolean"
                      },
                      "block_extension_pages": {
                        "type": "boolean"
                      },
                      "block_translation": {
                        "type": "boolean"
                      },
                      "block_devtools": {
                        "type": "boolean"
                      },
                      "local_network": {
                        "type": "object",
                        "required": [
                          "blocked",
                          "allowed_ports"
                        ],
                        "properties": {
                          "blocked": {
                            "type": "boolean"
                          },
                          "allowed_ports": {
                            "type": "string",
                            "maxLength": 1536
                          }
                        },
                        "additionalProperties": false
                      },
                      "taskbar_icon": {
                        "anyOf": [
                          {
                            "type": "string",
                            "minLength": 50,
                            "maxLength": 393216
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "ui_language": {
                        "anyOf": [
                          {
                            "type": "string",
                            "minLength": 2,
                            "maxLength": 35
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "tls_cipher_blocklist": {
                        "anyOf": [
                          {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "secure_dns": {
                        "anyOf": [
                          {
                            "type": "object",
                            "required": [
                              "mode"
                            ],
                            "properties": {
                              "mode": {
                                "type": "string",
                                "enum": [
                                  "off"
                                ]
                              }
                            },
                            "additionalProperties": false
                          },
                          {
                            "type": "object",
                            "required": [
                              "mode",
                              "server"
                            ],
                            "properties": {
                              "mode": {
                                "type": "string",
                                "enum": [
                                  "secure"
                                ]
                              },
                              "server": {
                                "type": "string",
                                "minLength": 9,
                                "maxLength": 2048
                              }
                            },
                            "additionalProperties": false
                          }
                        ]
                      }
                    },
                    "additionalProperties": false
                  },
                  "net": {
                    "type": "object",
                    "additionalProperties": {}
                  },
                  "start_mode": {
                    "type": "string"
                  },
                  "start_urls": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "homepage": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "launch_args": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "extension_set_id": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "storage_options": {
                    "type": "object",
                    "additionalProperties": {
                      "type": "boolean"
                    }
                  },
                  "clear_on_close": {
                    "type": "object",
                    "additionalProperties": {
                      "type": "boolean"
                    }
                  },
                  "cache_dir_override": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "source": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "imported_from": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "runtime_state": {
                    "type": "string"
                  },
                  "accounts_count": {
                    "type": "integer"
                  },
                  "created_at": {
                    "type": "integer"
                  },
                  "created_by": {
                    "type": "string"
                  },
                  "updated_at": {
                    "type": "integer"
                  },
                  "updated_by": {
                    "type": "string"
                  },
                  "last_opened_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  },
                  "last_closed_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  },
                  "last_exit_ip": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "last_exit_country": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "row_version": {
                    "type": "integer"
                  }
                }
              }
            },
            "total": {
              "type": "integer"
            },
            "page": {
              "type": "integer"
            },
            "limit": {
              "type": "integer"
            },
            "next_cursor": {
              "type": [
                "null",
                "string"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Profile suchen, filtern, sortieren und seitenweise abrufen",
  "tags": [
    "Profile"
  ],
  "parameters": [
    {
      "schema": {
        "type": "integer",
        "minimum": 1
      },
      "in": "query",
      "name": "page",
      "required": false
    },
    {
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 1000
      },
      "in": "query",
      "name": "limit",
      "required": false
    },
    {
      "schema": {
        "type": "string",
        "maxLength": 512
      },
      "in": "query",
      "name": "cursor",
      "required": false
    },
    {
      "schema": {
        "type": "string",
        "maxLength": 200
      },
      "in": "query",
      "name": "search",
      "required": false
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "query",
      "name": "ids",
      "required": false,
      "description": "Kommagetrennte Profil-IDs"
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "query",
      "name": "group_id",
      "required": false
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "query",
      "name": "tag_ids",
      "required": false,
      "description": "Kommagetrennte Tag-IDs"
    },
    {
      "schema": {
        "anyOf": [
          {
            "type": "string",
            "enum": [
              "any"
            ]
          },
          {
            "type": "string",
            "enum": [
              "all"
            ]
          }
        ]
      },
      "in": "query",
      "name": "tag_mode",
      "required": false
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "query",
      "name": "exclude_tag_ids",
      "required": false
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "query",
      "name": "status_id",
      "required": false
    },
    {
      "schema": {
        "anyOf": [
          {
            "type": "string",
            "enum": [
              "chromium"
            ]
          },
          {
            "type": "string",
            "enum": [
              "firefox"
            ]
          }
        ]
      },
      "in": "query",
      "name": "engine",
      "required": false
    },
    {
      "schema": {
        "anyOf": [
          {
            "type": "string",
            "enum": [
              "windows"
            ]
          },
          {
            "type": "string",
            "enum": [
              "macos"
            ]
          },
          {
            "type": "string",
            "enum": [
              "linux"
            ]
          },
          {
            "type": "string",
            "enum": [
              "android"
            ]
          },
          {
            "type": "string",
            "enum": [
              "ios"
            ]
          }
        ]
      },
      "in": "query",
      "name": "os",
      "required": false
    },
    {
      "schema": {
        "anyOf": [
          {
            "type": "string",
            "enum": [
              "stopped"
            ]
          },
          {
            "type": "string",
            "enum": [
              "starting"
            ]
          },
          {
            "type": "string",
            "enum": [
              "running"
            ]
          },
          {
            "type": "string",
            "enum": [
              "stopping"
            ]
          },
          {
            "type": "string",
            "enum": [
              "crashed"
            ]
          },
          {
            "type": "string",
            "enum": [
              "locked"
            ]
          }
        ]
      },
      "in": "query",
      "name": "runtime_state",
      "required": false
    },
    {
      "schema": {
        "type": "boolean"
      },
      "in": "query",
      "name": "pinned",
      "required": false
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "query",
      "name": "proxy_id",
      "required": false
    },
    {
      "schema": {
        "anyOf": [
          {
            "type": "string",
            "enum": [
              "no"
            ]
          },
          {
            "type": "string",
            "enum": [
              "custom_no"
            ]
          },
          {
            "type": "string",
            "enum": [
              "name"
            ]
          },
          {
            "type": "string",
            "enum": [
              "created_at"
            ]
          },
          {
            "type": "string",
            "enum": [
              "updated_at"
            ]
          },
          {
            "type": "string",
            "enum": [
              "last_opened_at"
            ]
          }
        ]
      },
      "in": "query",
      "name": "sort",
      "required": false
    },
    {
      "schema": {
        "anyOf": [
          {
            "type": "string",
            "enum": [
              "asc"
            ]
          },
          {
            "type": "string",
            "enum": [
              "desc"
            ]
          }
        ]
      },
      "in": "query",
      "name": "order",
      "required": false
    },
    {
      "schema": {
        "type": "boolean"
      },
      "in": "query",
      "name": "pinned_first",
      "required": false
    }
  ],
  "x-required-scopes": [
    "profiles:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "items",
              "total",
              "page",
              "limit",
              "next_cursor"
            ],
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "no",
                    "compat_user_id",
                    "custom_no",
                    "folder_key",
                    "name",
                    "notes",
                    "group",
                    "tags",
                    "status",
                    "pinned",
                    "color",
                    "engine",
                    "engine_version",
                    "engine_auto_update",
                    "engine_build_last_used",
                    "os",
                    "os_version",
                    "user_agent",
                    "fingerprint",
                    "proxy",
                    "ip_checker",
                    "browser_options",
                    "net",
                    "start_mode",
                    "start_urls",
                    "homepage",
                    "launch_args",
                    "extension_set_id",
                    "storage_options",
                    "clear_on_close",
                    "cache_dir_override",
                    "source",
                    "imported_from",
                    "runtime_state",
                    "accounts_count",
                    "created_at",
                    "created_by",
                    "updated_at",
                    "updated_by",
                    "last_opened_at",
                    "last_closed_at",
                    "last_exit_ip",
                    "last_exit_country",
                    "row_version"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "no": {
                      "type": "integer"
                    },
                    "compat_user_id": {
                      "type": "string"
                    },
                    "custom_no": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "folder_key": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "notes": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "group": {
                      "anyOf": [
                        {
                          "type": "object",
                          "required": [
                            "id",
                            "name"
                          ],
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            }
                          }
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "tags": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "id",
                          "name",
                          "color"
                        ],
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "color": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "status": {
                      "anyOf": [
                        {
                          "type": "object",
                          "required": [
                            "id",
                            "name",
                            "color"
                          ],
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            },
                            "color": {
                              "type": "string"
                            }
                          }
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "pinned": {
                      "type": "boolean"
                    },
                    "color": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "engine": {
                      "type": "string"
                    },
                    "engine_version": {
                      "type": "string"
                    },
                    "engine_auto_update": {
                      "type": "boolean"
                    },
                    "engine_build_last_used": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "os": {
                      "type": "string"
                    },
                    "os_version": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "user_agent": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "fingerprint": {
                      "type": "object",
                      "required": [
                        "id",
                        "schema",
                        "overrides",
                        "seeds"
                      ],
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "schema": {
                          "type": "integer"
                        },
                        "overrides": {
                          "type": "object",
                          "additionalProperties": {}
                        },
                        "seeds": {
                          "type": "object",
                          "required": [
                            "identity",
                            "canvas",
                            "webgl",
                            "audio",
                            "clientRects"
                          ],
                          "properties": {
                            "identity": {
                              "type": "integer"
                            },
                            "canvas": {
                              "type": "integer"
                            },
                            "webgl": {
                              "type": "integer"
                            },
                            "audio": {
                              "type": "integer"
                            },
                            "clientRects": {
                              "type": "integer"
                            }
                          }
                        }
                      }
                    },
                    "proxy": {
                      "type": "object",
                      "required": [
                        "mode",
                        "proxy_id",
                        "inline"
                      ],
                      "properties": {
                        "mode": {
                          "type": "string"
                        },
                        "proxy_id": {
                          "type": [
                            "null",
                            "string"
                          ]
                        },
                        "inline": {
                          "anyOf": [
                            {
                              "type": "object",
                              "required": [
                                "protocol",
                                "host",
                                "port",
                                "username",
                                "password_set",
                                "ssh_key_set"
                              ],
                              "properties": {
                                "protocol": {
                                  "type": "string"
                                },
                                "host": {
                                  "type": "string"
                                },
                                "port": {
                                  "type": "integer"
                                },
                                "username": {
                                  "type": [
                                    "string",
                                    "null"
                                  ]
                                },
                                "password_set": {
                                  "type": "boolean"
                                },
                                "ssh_key_set": {
                                  "type": "boolean"
                                },
                                "ssh_host_key": {
                                  "type": [
                                    "string",
                                    "null"
                                  ]
                                }
                              }
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      }
                    },
                    "ip_checker": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "browser_options": {
                      "type": "object",
                      "properties": {
                        "block_images": {
                          "type": "boolean"
                        },
                        "block_video": {
                          "type": "boolean"
                        },
                        "block_audio": {
                          "type": "boolean"
                        },
                        "block_notifications": {
                          "type": "boolean"
                        },
                        "block_password_view": {
                          "type": "boolean"
                        },
                        "block_password_save": {
                          "type": "boolean"
                        },
                        "block_extension_pages": {
                          "type": "boolean"
                        },
                        "block_translation": {
                          "type": "boolean"
                        },
                        "block_devtools": {
                          "type": "boolean"
                        },
                        "local_network": {
                          "type": "object",
                          "required": [
                            "blocked",
                            "allowed_ports"
                          ],
                          "properties": {
                            "blocked": {
                              "type": "boolean"
                            },
                            "allowed_ports": {
                              "type": "string",
                              "maxLength": 1536
                            }
                          },
                          "additionalProperties": false
                        },
                        "taskbar_icon": {
                          "anyOf": [
                            {
                              "type": "string",
                              "minLength": 50,
                              "maxLength": 393216
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "ui_language": {
                          "anyOf": [
                            {
                              "type": "string",
                              "minLength": 2,
                              "maxLength": 35
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "tls_cipher_blocklist": {
                          "anyOf": [
                            {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 256
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "secure_dns": {
                          "anyOf": [
                            {
                              "type": "object",
                              "required": [
                                "mode"
                              ],
                              "properties": {
                                "mode": {
                                  "type": "string",
                                  "enum": [
                                    "off"
                                  ]
                                }
                              },
                              "additionalProperties": false
                            },
                            {
                              "type": "object",
                              "required": [
                                "mode",
                                "server"
                              ],
                              "properties": {
                                "mode": {
                                  "type": "string",
                                  "enum": [
                                    "secure"
                                  ]
                                },
                                "server": {
                                  "type": "string",
                                  "minLength": 9,
                                  "maxLength": 2048
                                }
                              },
                              "additionalProperties": false
                            }
                          ]
                        }
                      },
                      "additionalProperties": false
                    },
                    "net": {
                      "type": "object",
                      "additionalProperties": {}
                    },
                    "start_mode": {
                      "type": "string"
                    },
                    "start_urls": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "homepage": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "launch_args": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "extension_set_id": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "storage_options": {
                      "type": "object",
                      "additionalProperties": {
                        "type": "boolean"
                      }
                    },
                    "clear_on_close": {
                      "type": "object",
                      "additionalProperties": {
                        "type": "boolean"
                      }
                    },
                    "cache_dir_override": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "source": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "imported_from": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "runtime_state": {
                      "type": "string"
                    },
                    "accounts_count": {
                      "type": "integer"
                    },
                    "created_at": {
                      "type": "integer"
                    },
                    "created_by": {
                      "type": "string"
                    },
                    "updated_at": {
                      "type": "integer"
                    },
                    "updated_by": {
                      "type": "string"
                    },
                    "last_opened_at": {
                      "type": [
                        "null",
                        "integer"
                      ]
                    },
                    "last_closed_at": {
                      "type": [
                        "null",
                        "integer"
                      ]
                    },
                    "last_exit_ip": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "last_exit_country": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "row_version": {
                      "type": "integer"
                    }
                  }
                }
              },
              "total": {
                "type": "integer"
              },
              "page": {
                "type": "integer"
              },
              "limit": {
                "type": "integer"
              },
              "next_cursor": {
                "type": [
                  "null",
                  "string"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/profiles

Profil anlegen

Authentication: bearer token

Required route scopes: profiles:write

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "maxLength": 100
          },
          "notes": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 400
          },
          "group_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "group_name": {
            "type": "string",
            "maxLength": 100
          },
          "tag_ids": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "maxItems": 30
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string",
              "minLength": 1,
              "maxLength": 50
            },
            "maxItems": 30
          },
          "status_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "pinned": {
            "type": "boolean"
          },
          "color": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 32
          },
          "custom_no": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 64
          },
          "engine": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "chromium"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "firefox"
                ]
              }
            ]
          },
          "engine_version": {
            "type": "string",
            "minLength": 1,
            "maxLength": 16
          },
          "engine_auto_update": {
            "type": "boolean"
          },
          "os": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "windows"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "macos"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "linux"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "android"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "ios"
                ]
              }
            ]
          },
          "os_version": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 32
          },
          "user_agent": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 512
          },
          "fingerprint_overrides": {
            "type": "object",
            "additionalProperties": {}
          },
          "proxy": {
            "type": "object",
            "required": [
              "mode"
            ],
            "properties": {
              "ssh_private_key": {
                "type": [
                  "string",
                  "null"
                ],
                "maxLength": 65536
              },
              "ssh_key_passphrase": {
                "type": [
                  "string",
                  "null"
                ],
                "maxLength": 1024
              },
              "mode": {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "none"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "ref"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "inline"
                    ]
                  }
                ]
              },
              "proxy_id": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "ssh_host_key": {
                "type": [
                  "string",
                  "null"
                ],
                "pattern": "^SHA256:[A-Za-z0-9+/]{43}$"
              },
              "protocol": {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "http"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "https"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "socks4"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "socks4a"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "socks5"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "socks5h"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "ssh"
                    ]
                  }
                ]
              },
              "host": {
                "type": "string",
                "minLength": 1,
                "maxLength": 255
              },
              "port": {
                "type": "integer",
                "minimum": 1,
                "maximum": 65535
              },
              "username": {
                "type": [
                  "string",
                  "null"
                ],
                "maxLength": 512
              },
              "password": {
                "type": [
                  "string",
                  "null"
                ],
                "maxLength": 1024
              }
            },
            "additionalProperties": false
          },
          "ip_checker": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 32
          },
          "browser_options": {
            "type": "object",
            "properties": {
              "block_images": {
                "type": "boolean"
              },
              "block_video": {
                "type": "boolean"
              },
              "block_audio": {
                "type": "boolean"
              },
              "block_notifications": {
                "type": "boolean"
              },
              "block_password_view": {
                "type": "boolean"
              },
              "block_password_save": {
                "type": "boolean"
              },
              "block_extension_pages": {
                "type": "boolean"
              },
              "block_translation": {
                "type": "boolean"
              },
              "block_devtools": {
                "type": "boolean"
              },
              "local_network": {
                "type": "object",
                "required": [
                  "blocked",
                  "allowed_ports"
                ],
                "properties": {
                  "blocked": {
                    "type": "boolean"
                  },
                  "allowed_ports": {
                    "type": "string",
                    "maxLength": 1536
                  }
                },
                "additionalProperties": false
              },
              "taskbar_icon": {
                "anyOf": [
                  {
                    "type": "string",
                    "minLength": 50,
                    "maxLength": 393216
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "ui_language": {
                "anyOf": [
                  {
                    "type": "string",
                    "minLength": 2,
                    "maxLength": 35
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "tls_cipher_blocklist": {
                "anyOf": [
                  {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "secure_dns": {
                "anyOf": [
                  {
                    "type": "object",
                    "required": [
                      "mode"
                    ],
                    "properties": {
                      "mode": {
                        "type": "string",
                        "enum": [
                          "off"
                        ]
                      }
                    },
                    "additionalProperties": false
                  },
                  {
                    "type": "object",
                    "required": [
                      "mode",
                      "server"
                    ],
                    "properties": {
                      "mode": {
                        "type": "string",
                        "enum": [
                          "secure"
                        ]
                      },
                      "server": {
                        "type": "string",
                        "minLength": 9,
                        "maxLength": 2048
                      }
                    },
                    "additionalProperties": false
                  }
                ]
              }
            },
            "additionalProperties": false
          },
          "net": {
            "type": "object",
            "additionalProperties": {}
          },
          "start_mode": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "new_tab"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "last_tabs"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "urls"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "last_and_urls"
                ]
              }
            ]
          },
          "start_urls": {
            "type": "array",
            "items": {
              "type": "string",
              "maxLength": 2048
            },
            "maxItems": 20
          },
          "open_account_pages": {
            "type": "boolean"
          },
          "homepage": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 512
          },
          "launch_args": {
            "type": "array",
            "items": {
              "type": "string",
              "maxLength": 1024
            },
            "maxItems": 100
          },
          "extension_set_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "storage_options": {
            "type": "object",
            "additionalProperties": {
              "type": "boolean"
            }
          },
          "clear_on_close": {
            "type": "object",
            "additionalProperties": {
              "type": "boolean"
            }
          },
          "cache_dir_override": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 512
          },
          "fingerprint_seeds": {
            "type": "object",
            "required": [
              "identity",
              "canvas",
              "webgl",
              "audio",
              "clientRects"
            ],
            "properties": {
              "identity": {
                "type": "integer",
                "minimum": 1,
                "maximum": 9007199254740991
              },
              "canvas": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "webgl": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "audio": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              },
              "clientRects": {
                "type": "integer",
                "minimum": 0,
                "maximum": 4294967295
              }
            },
            "additionalProperties": false
          },
          "accounts": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "platform_url"
              ],
              "properties": {
                "platform_url": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 256
                },
                "username": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 256
                },
                "password": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 1024
                },
                "totp_secret": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 1024
                },
                "notes": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 1024
                },
                "sort_order": {
                  "type": "integer",
                  "minimum": 0
                }
              },
              "additionalProperties": false
            },
            "maxItems": 50
          },
          "imported_from": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 64
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "201": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "no",
            "compat_user_id",
            "custom_no",
            "folder_key",
            "name",
            "notes",
            "group",
            "tags",
            "status",
            "pinned",
            "color",
            "engine",
            "engine_version",
            "engine_auto_update",
            "engine_build_last_used",
            "os",
            "os_version",
            "user_agent",
            "fingerprint",
            "proxy",
            "ip_checker",
            "browser_options",
            "net",
            "start_mode",
            "start_urls",
            "homepage",
            "launch_args",
            "extension_set_id",
            "storage_options",
            "clear_on_close",
            "cache_dir_override",
            "source",
            "imported_from",
            "runtime_state",
            "accounts_count",
            "created_at",
            "created_by",
            "updated_at",
            "updated_by",
            "last_opened_at",
            "last_closed_at",
            "last_exit_ip",
            "last_exit_country",
            "row_version"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "no": {
              "type": "integer"
            },
            "compat_user_id": {
              "type": "string"
            },
            "custom_no": {
              "type": [
                "null",
                "string"
              ]
            },
            "folder_key": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "notes": {
              "type": [
                "null",
                "string"
              ]
            },
            "group": {
              "anyOf": [
                {
                  "type": "object",
                  "required": [
                    "id",
                    "name"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    }
                  }
                },
                {
                  "type": "null"
                }
              ]
            },
            "tags": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "color"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "color": {
                    "type": "string"
                  }
                }
              }
            },
            "status": {
              "anyOf": [
                {
                  "type": "object",
                  "required": [
                    "id",
                    "name",
                    "color"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "color": {
                      "type": "string"
                    }
                  }
                },
                {
                  "type": "null"
                }
              ]
            },
            "pinned": {
              "type": "boolean"
            },
            "color": {
              "type": [
                "null",
                "string"
              ]
            },
            "engine": {
              "type": "string"
            },
            "engine_version": {
              "type": "string"
            },
            "engine_auto_update": {
              "type": "boolean"
            },
            "engine_build_last_used": {
              "type": [
                "null",
                "string"
              ]
            },
            "os": {
              "type": "string"
            },
            "os_version": {
              "type": [
                "null",
                "string"
              ]
            },
            "user_agent": {
              "type": [
                "null",
                "string"
              ]
            },
            "fingerprint": {
              "type": "object",
              "required": [
                "id",
                "schema",
                "overrides",
                "seeds"
              ],
              "properties": {
                "id": {
                  "type": "string"
                },
                "schema": {
                  "type": "integer"
                },
                "overrides": {
                  "type": "object",
                  "additionalProperties": {}
                },
                "seeds": {
                  "type": "object",
                  "required": [
                    "identity",
                    "canvas",
                    "webgl",
                    "audio",
                    "clientRects"
                  ],
                  "properties": {
                    "identity": {
                      "type": "integer"
                    },
                    "canvas": {
                      "type": "integer"
                    },
                    "webgl": {
                      "type": "integer"
                    },
                    "audio": {
                      "type": "integer"
                    },
                    "clientRects": {
                      "type": "integer"
                    }
                  }
                }
              }
            },
            "proxy": {
              "type": "object",
              "required": [
                "mode",
                "proxy_id",
                "inline"
              ],
              "properties": {
                "mode": {
                  "type": "string"
                },
                "proxy_id": {
                  "type": [
                    "null",
                    "string"
                  ]
                },
                "inline": {
                  "anyOf": [
                    {
                      "type": "object",
                      "required": [
                        "protocol",
                        "host",
                        "port",
                        "username",
                        "password_set",
                        "ssh_key_set"
                      ],
                      "properties": {
                        "protocol": {
                          "type": "string"
                        },
                        "host": {
                          "type": "string"
                        },
                        "port": {
                          "type": "integer"
                        },
                        "username": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "password_set": {
                          "type": "boolean"
                        },
                        "ssh_key_set": {
                          "type": "boolean"
                        },
                        "ssh_host_key": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    },
                    {
                      "type": "null"
                    }
                  ]
                }
              }
            },
            "ip_checker": {
              "type": [
                "null",
                "string"
              ]
            },
            "browser_options": {
              "type": "object",
              "properties": {
                "block_images": {
                  "type": "boolean"
                },
                "block_video": {
                  "type": "boolean"
                },
                "block_audio": {
                  "type": "boolean"
                },
                "block_notifications": {
                  "type": "boolean"
                },
                "block_password_view": {
                  "type": "boolean"
                },
                "block_password_save": {
                  "type": "boolean"
                },
                "block_extension_pages": {
                  "type": "boolean"
                },
                "block_translation": {
                  "type": "boolean"
                },
                "block_devtools": {
                  "type": "boolean"
                },
                "local_network": {
                  "type": "object",
                  "required": [
                    "blocked",
                    "allowed_ports"
                  ],
                  "properties": {
                    "blocked": {
                      "type": "boolean"
                    },
                    "allowed_ports": {
                      "type": "string",
                      "maxLength": 1536
                    }
                  },
                  "additionalProperties": false
                },
                "taskbar_icon": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 50,
                      "maxLength": 393216
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "ui_language": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 2,
                      "maxLength": 35
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "tls_cipher_blocklist": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 256
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "secure_dns": {
                  "anyOf": [
                    {
                      "type": "object",
                      "required": [
                        "mode"
                      ],
                      "properties": {
                        "mode": {
                          "type": "string",
                          "enum": [
                            "off"
                          ]
                        }
                      },
                      "additionalProperties": false
                    },
                    {
                      "type": "object",
                      "required": [
                        "mode",
                        "server"
                      ],
                      "properties": {
                        "mode": {
                          "type": "string",
                          "enum": [
                            "secure"
                          ]
                        },
                        "server": {
                          "type": "string",
                          "minLength": 9,
                          "maxLength": 2048
                        }
                      },
                      "additionalProperties": false
                    }
                  ]
                }
              },
              "additionalProperties": false
            },
            "net": {
              "type": "object",
              "additionalProperties": {}
            },
            "start_mode": {
              "type": "string"
            },
            "start_urls": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "homepage": {
              "type": [
                "null",
                "string"
              ]
            },
            "launch_args": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "extension_set_id": {
              "type": [
                "null",
                "string"
              ]
            },
            "storage_options": {
              "type": "object",
              "additionalProperties": {
                "type": "boolean"
              }
            },
            "clear_on_close": {
              "type": "object",
              "additionalProperties": {
                "type": "boolean"
              }
            },
            "cache_dir_override": {
              "type": [
                "null",
                "string"
              ]
            },
            "source": {
              "type": [
                "null",
                "string"
              ]
            },
            "imported_from": {
              "type": [
                "null",
                "string"
              ]
            },
            "runtime_state": {
              "type": "string"
            },
            "accounts_count": {
              "type": "integer"
            },
            "created_at": {
              "type": "integer"
            },
            "created_by": {
              "type": "string"
            },
            "updated_at": {
              "type": "integer"
            },
            "updated_by": {
              "type": "string"
            },
            "last_opened_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "last_closed_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "last_exit_ip": {
              "type": [
                "null",
                "string"
              ]
            },
            "last_exit_country": {
              "type": [
                "null",
                "string"
              ]
            },
            "row_version": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Profil anlegen",
  "tags": [
    "Profile"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "maxLength": 100
            },
            "notes": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 400
            },
            "group_id": {
              "type": [
                "string",
                "null"
              ]
            },
            "group_name": {
              "type": "string",
              "maxLength": 100
            },
            "tag_ids": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "maxItems": 30
            },
            "tags": {
              "type": "array",
              "items": {
                "type": "string",
                "minLength": 1,
                "maxLength": 50
              },
              "maxItems": 30
            },
            "status_id": {
              "type": [
                "string",
                "null"
              ]
            },
            "pinned": {
              "type": "boolean"
            },
            "color": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 32
            },
            "custom_no": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 64
            },
            "engine": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "chromium"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "firefox"
                  ]
                }
              ]
            },
            "engine_version": {
              "type": "string",
              "minLength": 1,
              "maxLength": 16
            },
            "engine_auto_update": {
              "type": "boolean"
            },
            "os": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "windows"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "macos"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "linux"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "android"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "ios"
                  ]
                }
              ]
            },
            "os_version": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 32
            },
            "user_agent": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 512
            },
            "fingerprint_overrides": {
              "type": "object",
              "additionalProperties": {}
            },
            "proxy": {
              "type": "object",
              "required": [
                "mode"
              ],
              "properties": {
                "ssh_private_key": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 65536
                },
                "ssh_key_passphrase": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 1024
                },
                "mode": {
                  "anyOf": [
                    {
                      "type": "string",
                      "enum": [
                        "none"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "ref"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "inline"
                      ]
                    }
                  ]
                },
                "proxy_id": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "ssh_host_key": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "pattern": "^SHA256:[A-Za-z0-9+/]{43}$"
                },
                "protocol": {
                  "anyOf": [
                    {
                      "type": "string",
                      "enum": [
                        "http"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "https"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "socks4"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "socks4a"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "socks5"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "socks5h"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "ssh"
                      ]
                    }
                  ]
                },
                "host": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 255
                },
                "port": {
                  "type": "integer",
                  "minimum": 1,
                  "maximum": 65535
                },
                "username": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 512
                },
                "password": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 1024
                }
              },
              "additionalProperties": false
            },
            "ip_checker": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 32
            },
            "browser_options": {
              "type": "object",
              "properties": {
                "block_images": {
                  "type": "boolean"
                },
                "block_video": {
                  "type": "boolean"
                },
                "block_audio": {
                  "type": "boolean"
                },
                "block_notifications": {
                  "type": "boolean"
                },
                "block_password_view": {
                  "type": "boolean"
                },
                "block_password_save": {
                  "type": "boolean"
                },
                "block_extension_pages": {
                  "type": "boolean"
                },
                "block_translation": {
                  "type": "boolean"
                },
                "block_devtools": {
                  "type": "boolean"
                },
                "local_network": {
                  "type": "object",
                  "required": [
                    "blocked",
                    "allowed_ports"
                  ],
                  "properties": {
                    "blocked": {
                      "type": "boolean"
                    },
                    "allowed_ports": {
                      "type": "string",
                      "maxLength": 1536
                    }
                  },
                  "additionalProperties": false
                },
                "taskbar_icon": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 50,
                      "maxLength": 393216
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "ui_language": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 2,
                      "maxLength": 35
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "tls_cipher_blocklist": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 256
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "secure_dns": {
                  "anyOf": [
                    {
                      "type": "object",
                      "required": [
                        "mode"
                      ],
                      "properties": {
                        "mode": {
                          "type": "string",
                          "enum": [
                            "off"
                          ]
                        }
                      },
                      "additionalProperties": false
                    },
                    {
                      "type": "object",
                      "required": [
                        "mode",
                        "server"
                      ],
                      "properties": {
                        "mode": {
                          "type": "string",
                          "enum": [
                            "secure"
                          ]
                        },
                        "server": {
                          "type": "string",
                          "minLength": 9,
                          "maxLength": 2048
                        }
                      },
                      "additionalProperties": false
                    }
                  ]
                }
              },
              "additionalProperties": false
            },
            "net": {
              "type": "object",
              "additionalProperties": {}
            },
            "start_mode": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "new_tab"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "last_tabs"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "urls"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "last_and_urls"
                  ]
                }
              ]
            },
            "start_urls": {
              "type": "array",
              "items": {
                "type": "string",
                "maxLength": 2048
              },
              "maxItems": 20
            },
            "open_account_pages": {
              "type": "boolean"
            },
            "homepage": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 512
            },
            "launch_args": {
              "type": "array",
              "items": {
                "type": "string",
                "maxLength": 1024
              },
              "maxItems": 100
            },
            "extension_set_id": {
              "type": [
                "string",
                "null"
              ]
            },
            "storage_options": {
              "type": "object",
              "additionalProperties": {
                "type": "boolean"
              }
            },
            "clear_on_close": {
              "type": "object",
              "additionalProperties": {
                "type": "boolean"
              }
            },
            "cache_dir_override": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 512
            },
            "fingerprint_seeds": {
              "type": "object",
              "required": [
                "identity",
                "canvas",
                "webgl",
                "audio",
                "clientRects"
              ],
              "properties": {
                "identity": {
                  "type": "integer",
                  "minimum": 1,
                  "maximum": 9007199254740991
                },
                "canvas": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 4294967295
                },
                "webgl": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 4294967295
                },
                "audio": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 4294967295
                },
                "clientRects": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 4294967295
                }
              },
              "additionalProperties": false
            },
            "accounts": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "platform_url"
                ],
                "properties": {
                  "platform_url": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  },
                  "username": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "maxLength": 256
                  },
                  "password": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "maxLength": 1024
                  },
                  "totp_secret": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "maxLength": 1024
                  },
                  "notes": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "maxLength": 1024
                  },
                  "sort_order": {
                    "type": "integer",
                    "minimum": 0
                  }
                },
                "additionalProperties": false
              },
              "maxItems": 50
            },
            "imported_from": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 64
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "201": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "no",
              "compat_user_id",
              "custom_no",
              "folder_key",
              "name",
              "notes",
              "group",
              "tags",
              "status",
              "pinned",
              "color",
              "engine",
              "engine_version",
              "engine_auto_update",
              "engine_build_last_used",
              "os",
              "os_version",
              "user_agent",
              "fingerprint",
              "proxy",
              "ip_checker",
              "browser_options",
              "net",
              "start_mode",
              "start_urls",
              "homepage",
              "launch_args",
              "extension_set_id",
              "storage_options",
              "clear_on_close",
              "cache_dir_override",
              "source",
              "imported_from",
              "runtime_state",
              "accounts_count",
              "created_at",
              "created_by",
              "updated_at",
              "updated_by",
              "last_opened_at",
              "last_closed_at",
              "last_exit_ip",
              "last_exit_country",
              "row_version"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "no": {
                "type": "integer"
              },
              "compat_user_id": {
                "type": "string"
              },
              "custom_no": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "folder_key": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "notes": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "group": {
                "anyOf": [
                  {
                    "type": "object",
                    "required": [
                      "id",
                      "name"
                    ],
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "name": {
                        "type": "string"
                      }
                    }
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "tags": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "name",
                    "color"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
[...]
